Page MenuHomePhabricator

Use /vendor/composer/installed.json for Special:Version & API about installed libraries instead of composer.lock
Closed, ResolvedPublic

Description

The code in Special:Version and the API should be updated to read from ./vendor/composer/installed.json instead of ./composer.lock

Event Timeline

Legoktm created this task.Jul 18 2015, 10:58 PM
Legoktm updated the task description. (Show Details)
Legoktm raised the priority of this task from to Needs Triage.
Legoktm added subscribers: Legoktm, bd808.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 10:58 PM
Legoktm renamed this task from Investigate using /vendor/composer/installed.json for Special:Version/API about installed libraries instead of composer.lock to Investigate using /vendor/composer/installed.json for Special:Version & API about installed libraries instead of composer.lock.Jul 18 2015, 10:59 PM
Legoktm set Security to None.
Legoktm renamed this task from Investigate using /vendor/composer/installed.json for Special:Version & API about installed libraries instead of composer.lock to Use /vendor/composer/installed.json for Special:Version & API about installed libraries instead of composer.lock.Oct 25 2015, 5:31 AM
Legoktm updated the task description. (Show Details)
Legoktm added a project: good first bug.

Investigated this, we should use installed.json since it's more likely to be correct and has a different meaning than composer.lock. Tagged as good first bug.

can i do this?

You can work on any bug without the above like comment ( unless the task is assigned to someone else, and requires consensus ) , following https://www.mediawiki.org/wiki/Gerrit/Tutorial#How_to_submit_a_patch

Change 248667 had a related patch set uploaded (by Rosalieper):
Absolute file paths changed

https://gerrit.wikimedia.org/r/248667

Thanks @Aklapper for the wonderful advice. I will endeavor to do that anytime i want to work on a bug.

Change 248667 abandoned by Rosalieper:
Absolute file paths changed

Reason:
Problems faced and new patch set needs to be released to suite the needs of the patch.

https://gerrit.wikimedia.org/r/248667

Change 248803 had a related patch set uploaded (by Rosalieper):
Changed paths to package dependency file

https://gerrit.wikimedia.org/r/248803

Change 248803 merged by jenkins-bot:
Changed paths to package dependency file

https://gerrit.wikimedia.org/r/248803

bd808 closed this task as Resolved.Dec 11 2015, 4:27 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 11 2015, 4:27 PM